#import "InAppBilling_objc.h"

@implementation InAppBilling

@synthesize m_delegate;

static InAppBilling* _instance = nil;

+ (id)sharedInAppBilling
{
    if (!_instance) {
		_instance = [[InAppBilling alloc] init];
	}
    return _instance;
}

- (void) addDelegate: (InAppBillingDelegate *) delegate
{
    m_delegate = delegate;
}

- (void) purchaseForItemId: (NSString*) itemId
{
    // 購入処理
    //   :
    //   :
    //   :
    //   :
}

- (void) purchasedForItemId: (NSString*) itemId
{
    // 購入完了処理
    if (m_delegate)
    {
        m_delegate->onSuccess([itemId UTF8String]);
    }
}

- (void) canceled
{
    // 購入キャンセル処理
    if (m_delegate)
    {
        m_delegate->onCancel();
    }
}

@end
